Package org.eclipse.net4j.util.security

# Enum Class IChallengeResponse.State

java.lang.Object
java.lang.Enum<IChallengeResponse.State>
org.eclipse.net4j.util.security.IChallengeResponse.State

All Implemented Interfaces:
  `Serializable`, `Comparable<IChallengeResponse.State>`, `Constable`

Enclosing interface:
  `IChallengeResponse`

public static enum IChallengeResponse.State extends Enum<IChallengeResponse.State>

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CHALLENGE`
`FAILURE`
`INITIAL`
`RESPONSE`
`SUCCESS`

## Method Summary

Modifier and Type
Method
Description
`static IChallengeResponse.State`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IChallengeResponse.State[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INITIAL

public static final IChallengeResponse.State INITIAL

### CHALLENGE

public static final IChallengeResponse.State CHALLENGE

### RESPONSE

public static final IChallengeResponse.State RESPONSE

### SUCCESS

public static final IChallengeResponse.State SUCCESS

### FAILURE

public static final IChallengeResponse.State FAILURE

## Method Details

### values

public static IChallengeResponse.State[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IChallengeResponse.State valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null